### Function

# Dex file_enumerator_next_files

#### Declaration [src]

    DexFuture*
    dex_file_enumerator_next_files (
      GFileEnumerator* file_enumerator,
      int num_files,
      int io_priority
    )

#### Description [src]

Wraps `g_file_enumerator_next_files_async()`.

Use `dex_await_boxed()` to await for the result of this function.

When on a fiber, you can do:

    g_autolist(GFileInfo) infos = dex_await_boxed (dex_file_enumerator_next_files (enumerator, 100, 0), &error);

#### Parameters

`file_enumerator`

  Type: `GFileEnumerator`

  A `GFileEnumerator`.

  The data is owned by the caller of the function.

`num_files`

  Type: `int`

  The number of files.

`io_priority`

  Type: `int`

  The IO priority of the request.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GList` of `GFileInfo`.

The caller of the function takes ownership of the data, and is responsible for freeing it.